/*
 * Class WEL_WM_CTLCOLOR_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_485 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_485 [] = {0xFF01,1551,484,0xFFFF};
static const EIF_TYPE_INDEX egt_2_485 [] = {0xFF01,484,0xFFFF};
static const EIF_TYPE_INDEX egt_3_485 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_485 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_485 [] = {0xFF01,484,0xFFFF};
static const EIF_TYPE_INDEX egt_6_485 [] = {0xFF01,484,0xFFFF};
static const EIF_TYPE_INDEX egt_7_485 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_485 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_485 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_485 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_485 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_485 [] = {0xFF01,484,0xFFFF};


static const struct desc_info desc_485[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_485), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_485), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_485), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_485), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_485), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_485), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_485), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_485), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_485), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_485), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_485), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_485), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x03C9 /*484*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_485), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8177, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8178, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8179, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8180, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8181, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8182, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8183, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8184, 0xFFFFFFFF},
};
void Init485(void)
{
	IDSC(desc_485, 0, 484);
	IDSC(desc_485 + 1, 1, 484);
	IDSC(desc_485 + 32, 721, 484);
}


#ifdef __cplusplus
}
#endif
